#include <lua.h>
//#include <lualib.h>
#include <lauxlib.h>

#include "lsup_rdf.h"


/// Raise Lua error including LSUP error message on negative rc.
#define LUA_PCHECK(exp, message) do {\
    if ((exp) < LSUP_OK) \
        luaL_error (L, "%s: %s", message, LSUP_strerror (exp)); \
} while (0)
